# Create a transfer. `POST https://api.leapa.co/v2/transfers` Send your API key as a bearer token in the `Authorization` header. ## Request body Required. `application/json`. - `amount` · _integer_ · **required** — Amount to be transferred. Contraint: Not null, Max: 99999999 Must be: at most 99999999 - `description` · _string_ · **required** — Short description of the transfer. Constraints: Not null, Size(min=3, max=100) Must be: 3 to 100 characters - `type` · _string_ · **required** — Type of the transfer. Either deposit or reversal. constraint: Not null Allowed values: `deposit`, `reversal` - `merchant_id` · _string_ · **required** — ID of the merchant receiving the funds for a Deposit or Sending a fund for a Reversal. Constraint: Required for deposit type ```json { "amount": 45000, "description": "Room 204, two nights", "type": "deposit", "merchant_id": "mer_1b47d0e9ca" } ``` ## Response 201 - `id` · _string_ — Id of the transfer - `object` · _string_ — object to be returned - `amount` · _integer_ — Amount to be transferred. - `currency` · _string_ — Three-Letter ISO currency code Allowed values: `BIF`, `USD`, `KES`, `XAF` - `description` · _string_ — Description of the payout. - `type` · _string_ — Type of the transfer. Either deposit or reversal Allowed values: `deposit`, `reversal` - `created_date` · _integer_ — UTC UNIX Epoch Timestamp in millisecond at which the record was created. - `merchant_id` · _string_ — ID of the merchant receiving the fund - `merchant_name` · _string_ — Name of the merchant receiving the fund - `live` · _boolean_ — Whether the object exist in live or test mode. - `modified_date` · _integer_ — UTC UNIX Epoch Timestamp in millisecond at which the object was modified. - `reversal_id` · _string_ — ID of the reversal transfer for a deposit. Only valid for bank and card type. ```json { "id": "obj_5f21c8a40b", "object": "string", "amount": 45000, "currency": "BIF", "description": "Room 204, two nights", "type": "deposit", "created_date": 0, "merchant_id": "mer_1b47d0e9ca", "merchant_name": "Jeanne Ndayishimiye", "live": false, "modified_date": 0, "reversal_id": "string" } ``` ## Status codes - `201` Created - `400` Bad request - `401` Unauthorized - `402` Payment required - `403` Forbidden - `404` Not found - `428` Precondition required - `500` Server error ## Example ```bash curl -X POST "https://api.leapa.co/v2/transfers" \ -H "Authorization: Bearer $LEAPA_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "amount": 45000, "description": "Room 204, two nights", "type": "deposit", "merchant_id": "mer_1b47d0e9ca" }' ``` --- _Generated from the Leapa documentation at leapa.co/docs._